### Type Parameters

### Hierarchy

- GmfGroup

## Index

### Properties

- children
- dimensions
- id
- metadata
- mixed
- name
- ogcServer
- popupId
- time

## Properties

### children

children: (GmfLayer | GmfGroup)[]

- Defined in src/themes.js:74

### dimensions

dimensions: Object

- Defined in src/themes.js:75

The dimensions managed by the OpenLayers layer, if the value is null we will take the dimension from the application. This is present only on non mixed first level group.

### id

id: number

- Defined in src/themes.js:71

(GmfBaseNode)

### metadata

metadata: GmfMetaData

- Defined in src/themes.js:72

(GmfBaseNode)

### mixed

mixed: boolean

- Defined in src/themes.js:78

A mixed group is a group on which one the layers comes from different sources, then all the sub GeoMapFish layers (leaf) will be an OpenLayers layer. By opposition a non mixed first level group contains only GeoMapFish layers WMS from the same server, then we have only one OpenLayers layer for all the first level group. All the group child will have the same value of his parent, In other word, all the group of a first level group will have the same value.

### name

name: string

- Defined in src/themes.js:73

(GmfBaseNode)

### ogcServer

ogcServer: string

- Defined in src/themes.js:84

On non mixed first level group it is the ogc server to use.

### popupId

popupId: string

- Defined in src/themes.js:87

a popup identifier for the associate submenu.

### time

time: TimeProperty

- Defined in src/themes.js:85

On non mixed first level group with more then one time layer, it is the time information.

Generated using TypeDoc